from sqlalchemy import Column, DateTime, Integer, String
from sqlalchemy.sql import func

from src.api.db import Base


class Flight(Base):
    __tablename__ = "flights"

    id = Column(Integer, primary_key=True, autoincrement=True)
    flight_code = Column(String, nullable=False)
    status = Column(String, nullable=False)
    origin = Column(String, nullable=False)
    destination = Column(String, nullable=False)
    departure_time = Column(DateTime, nullable=False)
    arrival_time = Column(DateTime, nullable=False)
    gate = Column(String, nullable=True)
    last_updated = Column(DateTime, default=func.now(), nullable=False)
    user_id = Column(Integer, nullable=False)
